Bug 13195 - Equinox board crashes system w/ kernel 2.2.16-3
Equinox board crashes system w/ kernel 2.2.16-3
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i586 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-28 16:35 EDT by Edward Rudd
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-28 16:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2000-06-28 16:35:15 EDT
I have a system that was running RH 6.1 and was maintaining a modem pool 
using the equinox SST-64P board. This machine has been up for over 180days.
Yesterday i upgraded the system to RedHat 6.2 and upgraded to the 2.2.16-3 
kernel, downloaded the latest equinox drivers, compiled and installed 
rebooted, and then when someone tried dialing in the machine crashed...
I rebooted and then today watched the console when it crashed and it 
returned this to the tty.
--
    [<c019f5c2>] [<c019f637>] [<c011770d>] [<c0117946>] [<c010a41f>]
[<c010a424>] [<c01d5147>] [<c01d6a6e>]
    [<c010f4fc>] [<c01d6a6e>] [<c0110289>] [<c010a01d>]
Code: 89 01 8b 0a 85 c9 74 08 8b 42 04 89 41 04 eb 06 8b 42 04 89
Aiee, killing interrupt handler
Kernel panic: Attempted to kill idle task!
In interrupt handler - not syncing
--
and this to my /var/log/messages
--
Jun 28 14:16:36 cgi2 mgetty[1184]: data dev=ttyQ1a1, pid=1184,
caller='none', co
nn='38400', name='', cmd='/etc/ppp/ppplogin', user='/AutoPPP/'
Jun 28 14:16:36 cgi2 kernel: registered device ppp0
Jun 28 14:16:36 cgi2 pppd[7179]: pppd 2.3.11 started by a_ppp, uid 0
Jun 28 14:16:36 cgi2 kernel: Unable to handle kernel NULL pointer
dereference at
 virtual address 0000000b
Jun 28 14:16:36 cgi2 kernel: current->tss.cr3 = 01d6c000, %cr3 =
01d6c000
Jun 28 14:16:36 cgi2 kernel: *pde = 00000000
...skipping...
Jun 28 14:16:36 cgi2 kernel: Oops: 0000
Jun 28 14:16:36 cgi2 kernel: CPU:    0
--
I downgraded the kernel to 2.2.14-12 and every thing works fine now..
I am also notifying Equinox of the problem.
Comment 1 Alan Cox 2000-08-22 15:15:20 EDT
Equinox dont provide C source to their drivers so we cant help you. Sorry
Comment 2 Edward Rudd 2000-08-22 19:21:30 EDT
I got an e-mail back from Equinox that says they hadn't tested their drivers
with 2.2.16 and that  my bug report was passed to the programmers/engineers..

Note You need to log in before you can comment on or make changes to this bug.